V3 Update Field Lock Data

Use the Field Lock Data API to add, remove, or replace fields in the fieldLockData collection in a loan.

Usage Note

The collection passed to this API is appendable and does not replace the existing list of fields in fieldLockData.

Path Params
string
required

Unique identifier of the loan for which to update field lock data. Required.

Query Params
string

Action to be performed on the field lock data. Possible values are Add, Remove, and Replace.

string

Optional. View type parameter. Enumerations: entity, id
When no view parameter is provided, the API will return 204 - No Content with no response body.

Body Params

The Field Lock Data API is used to manage the list of locked fields in a loan.

The fieldLockData collection stores the list of locked fields in a loan. The Field Lock Data API is used to add, remove, or replace fields in this list.

NOTE: When updating a fieldLockData collection, the collection passed to this API is appendable and does not replace the existing list of fields in fieldLockData.

Example Flow

1.Retrieve loan to view current list of locked fields.

GET /v3/loans/{loanId}

Example fieldLockData

"fieldLockData" : [ "loan.secondSubordinateAmount", "loan.BorrowerPaidFHAVAClosingCostsAmount", "Loan.PrincipalAndInterestMonthlyPaymentAmount"]

2.Remove a field from the list of locked fields. For example, secondSubordinateAmount.

PATCH /v3/loans/{loanId}/fieldLockData?Action=remove

3.Retrieve the loan to view the updated list of locked fields.

GET /v3/loans/{loanId}

Updated fieldLockData

"fieldLockData" : ["loan.BorrowerPaidFHAVAClosingCostsAmount", "Loan.PrincipalAndInterestMonthlyPaymentAmount"]

Headers
string
required

Bearer token

Responses

204

No Content

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL
LoadingLoading…
Response
Choose an example:
application/json